<template>
    <div>
      Форма створення
      <br />
      <form class="form">
        <label for="">
          Назва:
          <input type="text" v-model="company.name" required/>
        </label>
        <label for="">
          Адреса:
          <input type="text" v-model="company.address" required/>
        </label>
        <label for="">
          Спеціалізація:
          <input type="text" v-model="company.specialization" required/>
        </label>
        <label for="">
          Номер телефону:
          <input type="text" v-model="company.phone" required/>
        </label>
        <label for="">
          Час роботи
          <input type="text" v-model="company.workTime" required/>
        </label>
        <button @click="addEquipment()">Створити</button>
      </form>
    </div>
  </template>
  
  <script>
  import { mapActions } from "vuex";
  export default {
    data() {
      return {
        company: {},
      };
    },
    methods: {
      ...mapActions(["addItem", "loadList"]),
      addEquipment() {
        this.addItem(this.company)
          .then(() => {
            console.log("yeah");
          })
          .catch((error) => {
            console.error("Error:", error);
          });
          this.$router.push('/');
      },
    },
    async created() {
      await this.loadList();
    },
  };
  </script>
  
  <style>
  .form {
    margin-top: 30px;
    display: block;
  }
  .form label {
    display: block;
  }
  </style>